Package org.pentaho.reporting.libraries.formula.typing.coretypes

# Class AnyType

java.lang.Object
org.pentaho.reporting.libraries.formula.typing.DefaultType
org.pentaho.reporting.libraries.formula.typing.coretypes.AnyType

All Implemented Interfaces:
  `Serializable`, `Type`

public final class AnyType extends DefaultType
Creation-Date: 02.11.2006, 09:37:54

Author:
  Thomas Morgner
See Also:
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`static final AnyType`
`ANY_ARRAY`
`static final AnyType`
`ANY_SEQUENCE`
`static final AnyType`
`TYPE`

### Fields inherited from interface org.pentaho.reporting.libraries.formula.typing.Type

`ANY_TYPE, ARRAY_TYPE, DATE_TYPE, DATETIME_TYPE, ERROR_TYPE, LOGICAL_TYPE, NUMERIC_SEQUENCE_TYPE, NUMERIC_TYPE, NUMERIC_UNIT, SCALAR_TYPE, SEQUENCE_TYPE, TEXT_TYPE, TIME_TYPE`

## Method Summary

### Methods inherited from class org.pentaho.reporting.libraries.formula.typing.DefaultType

`addFlag, getProperty, isFlagSet, isLocked, lock, setProperty`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### TYPE

public static final AnyType TYPE

### ANY_ARRAY

public static final AnyType ANY_ARRAY

### ANY_SEQUENCE

public static final AnyType ANY_SEQUENCE